Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007182OCaml~DO NOT USE (was: OCaml general)public2016-03-16 12:532017-09-24 17:32
Reporteryallop 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0007182: Assertion failure with recursive modules and externals
Description$ cat bug.ml
module rec M :
sig external f : int -> int = "%identity" end =
struct external f : int -> int = "%identity" end
$ ocaml bug.ml
Exception: Assert_failure ("camlinternalMod.ml", 68, 6).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015518)
shinwell (developer)
2016-03-16 15:42

Confirmed this still fails with current trunk, except at line 70. At that point the size of the object being filled is zero but the length of "comps" is 1.

Jacques, I think this is probably your area (bug in translmod.ml perhaps?)
(0015520)
garrigue (manager)
2016-03-16 17:30

Fixed in 4.03 and trunk, by commits 9009cc and ba82f8f

- Issue History
Date Modified Username Field Change
2016-03-16 12:53 yallop New Issue
2016-03-16 15:42 shinwell Note Added: 0015518
2016-03-16 15:42 shinwell Assigned To => garrigue
2016-03-16 15:42 shinwell Status new => confirmed
2016-03-16 17:30 garrigue Note Added: 0015520
2016-03-16 17:30 garrigue Status confirmed => resolved
2016-03-16 17:30 garrigue Fixed in Version => 4.03.0+dev / +beta1
2016-03-16 17:30 garrigue Resolution open => fixed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)
2017-09-24 17:32 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker